org.wso2.extension.siddhi.execution.ml.samoa.utils

## Class TaskBuilder

- java.lang.Object
- - org.wso2.extension.siddhi.execution.ml.samoa.utils.TaskBuilder

- Direct Known Subclasses:
    StreamingClassificationTaskBuilder, StreamingClusteringTaskBuilder, StreamingRegressionTaskBuilder

      public abstract class TaskBuilder
      extends Object

  Task Builder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Queue<double[]>` | `cepEvents`
    `protected int` | `maxEvents`
    `protected int` | `numberOfAttributes`
    `protected static String` | `STATUS_UPDATE_FREQ_MSG`
    `protected static String` | `SUPPRESS_RESULT_OUT_MSG`
    `protected static String` | `SUPPRESS_STATUS_OUT_MSG`
    `protected org.apache.samoa.topology.Topology` | `topology`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskBuilder()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `initTask()`
    `void` | `submit()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUPPRESS_STATUS_OUT_MSG

          protected static final String SUPPRESS_STATUS_OUT_MSG

      See Also:
        Constant Field Values

    - #### SUPPRESS_RESULT_OUT_MSG

          protected static final String SUPPRESS_RESULT_OUT_MSG

      See Also:
        Constant Field Values

    - #### STATUS_UPDATE_FREQ_MSG

          protected static final String STATUS_UPDATE_FREQ_MSG

      See Also:
        Constant Field Values

    - #### cepEvents

          public Queue<double[]> cepEvents

    - #### maxEvents

          protected int maxEvents

    - #### numberOfAttributes

          protected int numberOfAttributes

    - #### topology

          protected org.apache.samoa.topology.Topology topology

  - ### Constructor Detail

    - #### TaskBuilder

          public TaskBuilder()

  - ### Method Detail

    - #### initTask

          public abstract void initTask()

    - #### submit

          public void submit()

Copyright © 2017 WSO2. All rights reserved.